import { StyleSheet } from "react-native";
import { heightResponsive as H, widthResponsive as W, ScreenWidth, Color, FontSize, Font } from "@Constants";

export default StyleSheet.create({
  ctn: { flex: 1, backgroundColor: Color.Background },
  ctnScrollView: {
    paddingHorizontal: W(16),
  },
  txtHistory: {
    color: Color.Yellow,
    fontSize: FontSize.FontMedium,
    fontWeight: "400",
    fontStyle: "normal",
    fontFamily: Font.Roboto,
  },
  bgCtnQrcode: {
    justifyContent: "center",
    alignItems: "center",
    paddingVertical: H(24),
    paddingHorizontal: W(16),
    borderRadius: H(16),
    marginBottom: H(20),
    overflow: "hidden",
  },
  viewQrCodeAndShared: {
    flexDirection: "row",
    width: "100%",
    justifyContent: "space-between",
  },
  bgQrcode: {
    backgroundColor: Color.White,
    paddingHorizontal: W(12),
    paddingVertical: H(12),
    marginBottom: H(16),
  },
  btnIcon24: {
    width: W(24),
    height: H(24),
  },
  viewEmptyIC: {
    width: H(24),
  },
  txtNameAsset: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    fontWeight: "700",
    color: Color.White,
    marginBottom: H(20),
  },
  ctnGroupButton: {
    flexDirection: "row",
    width: "100%",
    justifyContent: "space-between",
  },
  lblButton: {
    fontSize: FontSize.FontSmaller,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    fontWeight: "500",
    lineHeight: 20,
    color: Color.TextButton,
    marginLeft: W(8),
  },
  ctnButton: {
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "center",
    paddingVertical: H(8),
    borderRadius: H(10),
  },
  btnPrint: {
    backgroundColor: Color.Yellow,
    paddingHorizontal: W(16),
  },
  btnCreate: {
    paddingHorizontal: W(8),
    backgroundColor: Color.lightWhite,
  },
  ctnInfoInventory: {
    width: "100%",
    paddingHorizontal: W(16),
  },
  ctnInfoInventoryText: {
    marginBottom: H(16),
  },
  txtTitle: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    color: Color.Yellow,
    fontWeight: "500",
    lineHeight: 24,
    textShadowColor: "rgba(0, 0, 0, 0.25)",
    textShadowRadius: 4,
    textShadowOffset: {
      width: 0,
      height: 4,
    },
    marginBottom: H(8),
  },
  txtGeneral: {
    fontSize: FontSize.FontSmaller,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    fontWeight: "400",
    lineHeight: 20,
  },
  marginRight5: {
    marginRight: W(5),
  },
  txtLabel: {
    color: Color.MedalDescription,
    width: W(148),
  },
  txtValue: {
    color: Color.White,
    width: W(195),
  },
  ctnLabelAndValue: {
    width: "100%",
    flexDirection: "row",
    alignItems: "flex-start",
    marginBottom: H(12),
  },
  marginLabelAndValue: {
    marginBottom: H(16),
  },
  ctnRemainingAmount: {
    position: "absolute",
    backgroundColor: Color.Background,
    opacity: 0.8,
    top: 0,
    left: 0,
    width: W(98),
    height: H(98),
    borderRadius: H(8),
    alignItems: "center",
    justifyContent: "center",
  },
  txtRemainingAmount: {
    fontSize: FontSize.FontBigger,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    color: Color.White,
    fontWeight: "400",
    lineHeight: 30,
  },
  viewLabelAndValue: {
    width: (ScreenWidth - W(79)) / 2,
  },
  // ctnMap: {
  //   width: '100%',
  //   borderRadius: H(16),
  //   overflow: 'hidden',
  //   marginBottom: H(16),
  //   height: H(300),
  //   backgroundColor: Color.BodyTable,
  //   alignItems: 'center',
  // },
  map: {
    height: H(300),
    width: "100%",
    overflow: "hidden",
    borderRadius: 16,
    marginBottom: H(16),
  },
  ctnInfoBasic: {
    backgroundColor: Color.FilterBackground,
    width: "100%",
    paddingHorizontal: W(16),
    paddingVertical: H(16),
    marginBottom: H(16),
  },
  txtCodeAsset: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    color: Color.Yellow,
    fontWeight: "700",
    lineHeight: 24,
    marginBottom: H(8),
  },
  ctnInfoBasicTitle: {
    width: "100%",
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center",
    marginBottom: H(16),
  },
  txtTitleInfoBasic: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    color: Color.Yellow,
    fontWeight: "500",
    lineHeight: 24,
    textShadowColor: "rgba(0, 0, 0, 0.25)",
    textShadowRadius: 4,
    textShadowOffset: {
      width: 0,
      height: 4,
    },
  },
  ctnBtnInventory: {
    width: "100%",
    backgroundColor: Color.Yellow,
    alignItems: "center",
    justifyContent: "center",
    borderRadius: H(10),
    paddingVertical: H(12),
  },
  btnInventory: {
    fontSize: FontSize.FontMedium,
    fontStyle: "normal",
    fontFamily: Font.Roboto,
    color: Color.TextButton,
    fontWeight: "500",
    lineHeight: 24,
  },
  imgAvatar: {
    width: W(20),
    height: H(20),
    borderRadius: 20,
    marginRight: W(8),
  },
  ctnFooterAction: {
    width: ScreenWidth,
    minHeight: H(100),
    flexDirection: "column",
    alignItems: "center",
    paddingVertical: H(16),
    paddingHorizontal: W(16),
    borderTopLeftRadius: H(10),
    borderTopRightRadius: H(10),
    justifyContent: "center",
  },
  btnInventoryNewAsset: {
    width: ScreenWidth - W(32),
    flexDirection: "row",
    justifyContent: "center",
    alignItems: "center",
    paddingVertical: H(12),
    backgroundColor: Color.Yellow,
    borderRadius: H(10),
  },
  btnInventoryNewAssetDisable: {
    width: ScreenWidth - W(32),
    flexDirection: "column",
    justifyContent: "center",
    alignItems: "center",
    paddingVertical: H(12),
    backgroundColor: Color.ButtonDisable,
    borderRadius: H(10),
  },
  field: {
    marginBottom: H(16),
  },
  txtDefaultTitle: {
    fontWeight: "400",
    fontSize: FontSize.FontSmaller,
    lineHeight: H(20),
  },
  txtTitleRequired: {
    marginLeft: W(2),
    color: Color.RedText,
  },
  txtLabelInput: {
    color: Color.LightGray,
  },
  txtCapacity: {
    fontWeight: "500",
    fontSize: FontSize.FontSmaller,
    lineHeight: H(20),
    color: Color.White,
    marginBottom: H(12),
  },
  // txtNotData: {
  //   marginTop: H(4),
  //   lineHeight: 24,
  //   fontSize: FontSize.FontMedium,
  //   fontWeight: '700',
  //   textAlign: 'center',
  //   color: Color.White,
  // },
  // txtRecomment: {
  //   marginTop: H(4),
  //   lineHeight: 20,
  //   fontSize: FontSize.FontSmaller,
  //   fontWeight: '400',
  //   textAlign: 'center',
  //   color: Color.lightWhite,
  //   paddingHorizontal: W(42)
  // },
  // btnSetup: {
  //   marginTop: H(12),
  //   flexDirection: 'row',
  //   alignItems: 'center',
  //   justifyContent: 'center',
  //   alignSelf: 'center',
  //   backgroundColor: Color.Yellow,
  //   borderRadius: H(10)
  // },
  // txtSetup: {
  //   lineHeight: 20,
  //   fontSize: FontSize.FontSmaller,
  //   fontWeight: '500',
  //   textAlign: 'center',
  //   color: Color.TextButton,
  //   paddingHorizontal: W(32),
  //   paddingVertical: H(8)
  // },
  mr4: {
    marginRight: W(4),
  },
});
